const fs = require('fs')

const command = require('./command.js')

class commandRemoveException extends command {
  constructor() {
    super('on', [
      []
    ])
  }

  execute(message, parameter) {
    return new Promise((resolve, reject) => {
      fs.readFile('./exception.txt', (err, data) => {
        if (err)
          reject(err)
        
        try {
          let json = JSON.parse(data)
          let list = json[message.chat.id]
          
          if (list.includes(message.from.id)) {
            for (let i = 0; i < list.length; i++) {
              if (list[i] == message.from.id) {
                list.splice(i, 1)
              }
            }

            json[message.chat.id] = list

            fs.writeFile('./exception.txt', JSON.stringify(json), err => {
              if (err)
                reject(err)

              resolve(message.from.first_name)
            })
          } else {
            reject(message.from.first_name)
          }
        } catch (err) {
          reject(message.from.first_name)
        }
      })
    })
  }
}

module.exports = commandRemoveException