const fs = require('fs')

const command = require('./command.js')

class commandAddException extends command {
  constructor() {
    super('off', [
      []
    ])
  }

  execute(message, parameter) {
    return new Promise((resolve, reject) => {
      fs.readFile('./exception.txt', (err, data) => {
        if (err)
          reject(err)

        let json = {}
        let list = []
        try {
          json = JSON.parse(data)
          list = json[message.chat.id]
        } catch (err) {}

        if (list === undefined) {
          list = []
        }

        if (!list.includes(message.from.id)) {
          list.push(message.from.id)
          json[message.chat.id] = list
          
          fs.writeFile('./exception.txt', JSON.stringify(json), err => {
            if (err)
              reject(err)

            resolve(message.from.first_name)
          })
        } else {
          reject(message.from.first_name)
        }
      })
    })
  }
}

module.exports = commandAddException