const fs = require('fs')

const command = require('./command.js')
const sender = require('../sender.js')

const DEVELOPER = 121605312

class commandListException extends command {
  constructor() {
    super('list', [
      []
    ])
  }

  execute(message, parameter) {
    return new Promise((resolve, reject) => {
      if (message.from.id == DEVELOPER) {
        fs.readFile('./exception.txt', (err, data) => {
          if (err)
            reject(err)
  
          let json = {}
          let list = []
          let result = []
          try {
            json = JSON.parse(data)
            list = json[message.chat.id]
          } catch (err) {
            console.log(err)
          }
          
          if (list == undefined) {
            resolve('사실 아무도 엄스심시~~')
            return
          }
          
          ; (async () => {
            if (list.length === 0) {
              resolve('사실 아무도 엄스심시~~')
              return
            }

            for (const id of list) {
              const chatUser = await sender.bot.getChatMember(message.chat.id, id)
              result.push(chatUser.user.first_name)
            }

            resolve(result.join('\n'))
          })()
        })
      } else {
        reject(message.from.first_name)
      }
    })
  }
}

module.exports = commandListException